Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class MmsPart

    java.lang.Object
      hr.tis.mgw.client.message.MmsPart

public class MmsPart
extends java.lang.Object

Part of MmsMessage. Every MmsPart have content, type and optionally id and location used to uniquely identify it inside one MmsMessage. MmsPart can be constructed from text or binary content.

Constructor Summary
`MmsPart(byte[] bytes, java.lang.String contentType)` Create MmsPart with binary content and no identification.
`MmsPart(byte[] bytes, java.lang.String contentType, java.lang.String contentId, java.lang.String contentLocation)` Create MmsPart with binary content uniquely identified by id and location.
`MmsPart(java.lang.String text)` Create MmsPart with text content and no identification.
`MmsPart(java.lang.String text, java.lang.String contentId, java.lang.String contentLocation)` Create MmsPart with text content uniquely identified by id and location.

Method Summary
`byte[]` | `getBytes()` Return content as array of bytes.
`java.lang.String` | `getContentId()` Return content id.
`java.lang.String` | `getContentLocation()` Return content location.
`java.lang.String` | `getContentType()` Return conent type.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MmsPart

    public MmsPart(java.lang.String text)

  Create MmsPart with text content and no identification.

Parameters:
  `text` - Text content

### MmsPart

    public MmsPart(java.lang.String text,
                   java.lang.String contentId,
                   java.lang.String contentLocation)

  Create MmsPart with text content uniquely identified by id and location.

Parameters:
  `text` - Text content
  `contentId` - Content Id
  `contentLocation` - Content Location

### MmsPart

    public MmsPart(byte[] bytes,
                   java.lang.String contentType)

  Create MmsPart with binary content and no identification.

Parameters:
  `bytes` - Binary content
  `contentType` - Content Type

### MmsPart

    public MmsPart(byte[] bytes,
                   java.lang.String contentType,
                   java.lang.String contentId,
                   java.lang.String contentLocation)

  Create MmsPart with binary content uniquely identified by id and location.

Parameters:
  `bytes` - Binary content
  `contentType` - Content Type
  `contentId` - Content Id
  `contentLocation` - Content Location

Method Detail

### getBytes

    public byte[] getBytes()

  Return content as array of bytes.

  Returns:
    Array of bytes

### getContentId

    public java.lang.String getContentId()

  Return content id.

  Returns:
    Content Id

### getContentLocation

    public java.lang.String getContentLocation()

  Return content location.

  Returns:
    Content Location

### getContentType

    public java.lang.String getContentType()

  Return conent type.

  Returns:
    Content Type

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.